RunQueriesAPI mirrors the erdo_run_queries MCP tool: several dataset reads
curl --request POST \
--url https://api.erdo.ai/v1/queries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queries": [
{
"apply_default_filters": true,
"create_snapshot": true,
"dataset_slug": "<string>",
"filter_names": [
"<string>"
],
"limit": 123,
"query": "<string>",
"resource_key": "<string>",
"snapshot_id": "<string>"
}
]
}
'import requests
url = "https://api.erdo.ai/v1/queries"
payload = { "queries": [
{
"apply_default_filters": True,
"create_snapshot": True,
"dataset_slug": "<string>",
"filter_names": ["<string>"],
"limit": 123,
"query": "<string>",
"resource_key": "<string>",
"snapshot_id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
queries: [
{
apply_default_filters: true,
create_snapshot: true,
dataset_slug: '<string>',
filter_names: ['<string>'],
limit: 123,
query: '<string>',
resource_key: '<string>',
snapshot_id: '<string>'
}
]
})
};
fetch('https://api.erdo.ai/v1/queries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erdo.ai/v1/queries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'queries' => [
[
'apply_default_filters' => true,
'create_snapshot' => true,
'dataset_slug' => '<string>',
'filter_names' => [
'<string>'
],
'limit' => 123,
'query' => '<string>',
'resource_key' => '<string>',
'snapshot_id' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.erdo.ai/v1/queries"
payload := strings.NewReader("{\n \"queries\": [\n {\n \"apply_default_filters\": true,\n \"create_snapshot\": true,\n \"dataset_slug\": \"<string>\",\n \"filter_names\": [\n \"<string>\"\n ],\n \"limit\": 123,\n \"query\": \"<string>\",\n \"resource_key\": \"<string>\",\n \"snapshot_id\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.erdo.ai/v1/queries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"queries\": [\n {\n \"apply_default_filters\": true,\n \"create_snapshot\": true,\n \"dataset_slug\": \"<string>\",\n \"filter_names\": [\n \"<string>\"\n ],\n \"limit\": 123,\n \"query\": \"<string>\",\n \"resource_key\": \"<string>\",\n \"snapshot_id\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erdo.ai/v1/queries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"queries\": [\n {\n \"apply_default_filters\": true,\n \"create_snapshot\": true,\n \"dataset_slug\": \"<string>\",\n \"filter_names\": [\n \"<string>\"\n ],\n \"limit\": 123,\n \"query\": \"<string>\",\n \"resource_key\": \"<string>\",\n \"snapshot_id\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"error": {
"code": "<string>",
"message": "<string>"
},
"result": {
"columns": [
"<string>"
],
"row_count": 123,
"rows": [
[
"<string>"
]
],
"snapshot_id": "<string>"
}
}
]
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
RunQueriesAPI mirrors the erdo_run_queries MCP tool: several dataset reads
in one request, each answered as POST /v1/datasets/:slug/query would answer it, results in request order.
POST
/
v1
/
queries
RunQueriesAPI mirrors the erdo_run_queries MCP tool: several dataset reads
curl --request POST \
--url https://api.erdo.ai/v1/queries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queries": [
{
"apply_default_filters": true,
"create_snapshot": true,
"dataset_slug": "<string>",
"filter_names": [
"<string>"
],
"limit": 123,
"query": "<string>",
"resource_key": "<string>",
"snapshot_id": "<string>"
}
]
}
'import requests
url = "https://api.erdo.ai/v1/queries"
payload = { "queries": [
{
"apply_default_filters": True,
"create_snapshot": True,
"dataset_slug": "<string>",
"filter_names": ["<string>"],
"limit": 123,
"query": "<string>",
"resource_key": "<string>",
"snapshot_id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
queries: [
{
apply_default_filters: true,
create_snapshot: true,
dataset_slug: '<string>',
filter_names: ['<string>'],
limit: 123,
query: '<string>',
resource_key: '<string>',
snapshot_id: '<string>'
}
]
})
};
fetch('https://api.erdo.ai/v1/queries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erdo.ai/v1/queries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'queries' => [
[
'apply_default_filters' => true,
'create_snapshot' => true,
'dataset_slug' => '<string>',
'filter_names' => [
'<string>'
],
'limit' => 123,
'query' => '<string>',
'resource_key' => '<string>',
'snapshot_id' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.erdo.ai/v1/queries"
payload := strings.NewReader("{\n \"queries\": [\n {\n \"apply_default_filters\": true,\n \"create_snapshot\": true,\n \"dataset_slug\": \"<string>\",\n \"filter_names\": [\n \"<string>\"\n ],\n \"limit\": 123,\n \"query\": \"<string>\",\n \"resource_key\": \"<string>\",\n \"snapshot_id\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.erdo.ai/v1/queries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"queries\": [\n {\n \"apply_default_filters\": true,\n \"create_snapshot\": true,\n \"dataset_slug\": \"<string>\",\n \"filter_names\": [\n \"<string>\"\n ],\n \"limit\": 123,\n \"query\": \"<string>\",\n \"resource_key\": \"<string>\",\n \"snapshot_id\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erdo.ai/v1/queries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"queries\": [\n {\n \"apply_default_filters\": true,\n \"create_snapshot\": true,\n \"dataset_slug\": \"<string>\",\n \"filter_names\": [\n \"<string>\"\n ],\n \"limit\": 123,\n \"query\": \"<string>\",\n \"resource_key\": \"<string>\",\n \"snapshot_id\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"error": {
"code": "<string>",
"message": "<string>"
},
"result": {
"columns": [
"<string>"
],
"row_count": 123,
"rows": [
[
"<string>"
]
],
"snapshot_id": "<string>"
}
}
]
}{
"code": "not_found",
"details": {},
"message": "<string>"
}Authorizations
Body
application/json

